#!/bin/bash
#
# install-vsd.sh
#
# Install the Virtual Server Administrator onto the host box
# Copyright (c) 1999 Designer Servers Ltd.
# Written by Nick Burrett <nick@dsvr.co.uk>
#
# Humble beginnings for a beast.
#
root=`dirname $0`/..
prefix=/

# Install the virtual server daemon
install -s -o root -g root -m 0755 $root/src/vsd/vsd $prefix/usr/sbin
install -s -o root -g root -m 0750 $root/src/vsd/webadmclients $prefix/usr/sbin
install -s -o root -g root -m 0750 $root/src/vsd/webclients $prefix/usr/sbin
install -s -o root -g root -m 0755 $root/src/inetd/inetd $prefix/usr/sbin
install -s -o root -g root -m 0755 $root/src/home/home $prefix/usr/bin
install -s -o root -g root -m 0755 $root/src/vsboot/vsboot $prefix/usr/sbin
install -s -o root -g root -m 4755 $root/src/bevs/bevs $prefix/usr/bin

# Install the virtual server init script
( install -o root -g root -m 0755 $root/contrib/vsd.init /etc/rc.d/init.d/vsd ;
if [ ! -h /etc/rc.d/rc0.d/K10vsd ]; then
  cd /etc/rc.d/rc0.d ; ln -s ../init.d/vsd K10vsd
fi
if [ ! -h /etc/rc.d/rc1.d/K10vsd ]; then
  cd /etc/rc.d/rc1.d ; ln -s ../init.d/vsd K10vsd
fi
if [ ! -h /etc/rc.d/rc2.d/K10vsd ]; then
  cd /etc/rc.d/rc2.d ; ln -s ../init.d/vsd K10vsd
fi
if [ ! -h /etc/rc.d/rc3.d/S90vsd ]; then
  cd /etc/rc.d/rc3.d ; ln -s ../init.d/vsd S90vsd
fi
if [ ! -h /etc/rc.d/rc4.d/K10vsd ]; then
  cd /etc/rc.d/rc4.d ; ln -s ../init.d/vsd K10vsd
fi
if [ ! -h /etc/rc.d/rc5.d/K10vsd ]; then
  cd /etc/rc.d/rc5.d ; ln -s ../init.d/vsd K10vsd
fi
if [ ! -h /etc/rc.d/rc6.d/K10vsd ]; then
  cd /etc/rc.d/rc6.d ; ln -s ../init.d/vsd K10vsd
fi )
