#!/usr/bin/perl
# Skel creation phase specific to the RedHat distribution of GNU Linux
# Copyright (c) 2000 Designer Servers Ltd.
# Contributed by Nick Burrett <nick@dsvr.net>
#
# This file is part of the Virtual Server Administrator (FreeVSD)
#
# FreeVSD is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# FreeVSD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with FreeVSD; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#
# This script is called by the top-level create-skel.pl (host/generic/scripts)
#
$ossrc = $src."/linux";
# Install kill and killall
install ("4755", "$ossrc/kill/kill", "$skelroot/bin/kill");
install ("4755", "$ossrc/killall/killall", "$skelroot/usr/bin/killall");

if (! defined ($childpid = fork())) {
  die "cannot fork: $!";
} elsif ($childpid == 0) {
  chroot ($skelroot);
  chdir ("/");
  # This is a bad hack because fileutils and sh-utils install
  # the damn files in the wrong damn place. 
  @files = ("chgrp", "chmod", "chown", "cp", "su",
  	    "ln", "ls", "mkdir", "mv", "rm", "rmdir");

  foreach $file (@files) {
    if (-e "/bin/$file") {
      unlink ("/bin/$file");
    }
    rename ("/usr/bin/$file", "/bin/$file");
    chmod (04755, "/bin/$file");
  }
  @files = ("basename", "chroot", "date", "dirname", "echo", "env",
  	    "expr", "factor", "false", "groups", "hostname", "id",
  	    "logname", "nice", "nohup", "pathchk", "printenv",
  	    "printf", "pwd", "seq", "sleep", "stty", "tee",
  	    "test", "true", "tty", "uname", "uptime", "users",
  	    "who", "whoami", "yes",
  	    "sync", "touch", "vdir", "shred", "mknod", "mkfifo",
  	    "dd", "df", "du", "dir");
  foreach $file (@files) {
    if (-e "/bin/$file") {
      unlink ("/bin/$file");
    }
    rename ("/usr/bin/$file", "/bin/$file");
    chmod (0755, "/bin/$file");
  }
} else {
  waitpid ($childpid, 0);
}
