/* Display the user's home directory.
   Copyright (c) 1999 Designer Servers Ltd.
   Written by Nick Burrett <nick@dsvr.net>

   This file is part of the Virtual Server Administrator.  */

#include <stdio.h>
#include <pwd.h>

int main (int argc, char *argv[])
{
  struct passwd *pw;

  if (argc == 1)
    pw = getpwuid (getuid ());
  else if (argc == 2)
    pw = getpwnam (argv[1]);
  else if (argc == 3)
    {
      struct passwd *pw1;
      char temp[256];
      FILE *stream;

      pw1 = getpwnam (argv[2]);
      if (pw1 == NULL)
	{
	  printf ("couldn't get virtual server details\n");
	  return 1;
	}

      sprintf (temp, "%s/etc/passwd", pw1->pw_dir);
      stream = fopen (temp, "r");
      while ((pw = fgetpwent (stream)))
	if (strcmp (pw->pw_name, argv[1]) == 0)
	  break;

      fclose (stream);
    }

  if (pw == NULL)
    {
      printf ("couldn't get user details\n");
      return 1;
    }

  printf ("%s\n", pw->pw_dir);
  return 0;
}
