/* Delete user command.
   Copyright (c) 1999 Designer Servers Ltd.
   Contributed by Nick Burrett <nick@dsvr.net>

   This file is part of the Virtual Server Administrator (FreeVSD)

   FreeVSD is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   FreeVSD is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with FreeVSD; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#include <errno.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include "libvsd.h"

int main (int argc, char *argv[])
{
  int status, c, delete_home = 0;
  char *username = NULL;

  while ((c = getopt (argc, argv, "-r")) != -1)
    switch (c)
      {
      case 'r':
	delete_home = 1;
	break;
      case '?':
	fprintf (stderr, "Unknown option `-%c'.\n", optopt);
	return 1;
      default:
        username = optarg;
	break;
      }

  status = vsd_userdel ("/", username);
  if (status == 10)
    printf ("%s: couldn't access /etc/passwd: %s\n", argv[0],
	    strerror (errno));
  else if (status == 6)
    printf ("%s: user `%s' does not exist\n", argv[0], username);
  else if (status == 2)
    printf ("%s: there is an error somewhere...\n", argv[0]);

  return status;
}
