/* Cryptography interface for FreeVSD.
   Copyright (c) 1999 Designer Servers Ltd.
   Written by Nick Burrett <nick@dsvr.net>.

   This file is part of the Virtual Server Administrator.  */

/* Initialise a new blowfish context. Use `key' as the cipher key. `len'
   is the length of `key'.  */
extern void *blowfish_set_key (const char *key, int len);

/* Free the context previously allocated by blowfish_set_key.  */
extern void blowfish_free (void *context);

/* Use blowfish to encode `data' using the cipher in `context'. The data
   is `blocks' in length in units of unsigned long.  */
extern void blowfish_encode (void *context, unsigned long *data, int blocks);

/* Use blowfish to decode `data' using the cipher in `context'. The data
   is `blocks' in length in units of unsigned long.  */
extern void blowfish_decode (void *context, unsigned long *data, int blocks);

